
Quantification tool - Feature #1446

Improving “Final cost” and "Quantity" tabs

05/06/2015 05:32 PM - Luis Gustavo do Valle Bastos

Status: Closed Start date: 05/06/2015

Priority: Immediate Due date: 11/05/2015

Assignee: Luis Gustavo do Valle Bastos % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: Version 3.0 Spent time: 0.00 hour

Description

Displayed with 3 separate tables for Regular, Accelerated and Total orders, using the same logic as in the Quantity tab.

History

#1 - 05/26/2015 12:18 PM - Oleksii Kurasov

- Due date set to 05/26/2015

- Status changed from New to Resolved

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

#2 - 05/29/2015 06:08 PM - Luis Gustavo do Valle Bastos

- Status changed from Resolved to Feedback

- Assignee changed from Luis Gustavo do Valle Bastos to Oleksii Kurasov

The 3 separate table could not be seem in the Final Cost tab.

Please check this out.

#3 - 06/12/2015 11:05 AM - Oleksii Kurasov

- Due date changed from 05/26/2015 to 06/12/2015

- Status changed from Feedback to Resolved

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

Sorry, I forgot to include new form. Now it's seems OK

#4 - 06/17/2015 05:13 PM - Luis Gustavo do Valle Bastos

- File New Quantity tab.JPG added

- File New Final Costs tab.JPG added

- Subject changed from Improving “Final cost” tab to Improving “Final cost” and "Quantity" tabs

- Status changed from Resolved to Feedback

- Assignee changed from Luis Gustavo do Valle Bastos to Oleksii Kurasov

See first attachment for changes on Quantity tab:

- Change name of the tab from "Quantity" to "Quantity and Costs"

- Include the "Sub-total cost of medicines" for regular and accelerated tables (below each table)

- Include the "Grand total cost of medicines" at the bottom adding the sub-totals

See second attachment for changes on Final cost tab:

- Change the name of the tab from "Order- Final cost" to "Final Costs"
- Exclude the tabs "Regular order total cost" and "Accelerated order total cost"

- Include specific cost of medicines for each regular and accelerated tables (above each table)

- Include "Sub-total cost of medicine" for each regular and accelerated tables (below each table)

- Include the "Grand total cost of medicines" at the bottom adding the sub-totals

#5 - 09/22/2015 01:11 PM - Luis Gustavo do Valle Bastos

- Priority changed from High to Immediate

#6 - 10/25/2015 01:47 PM - Oleksii Kurasov

- Due date changed from 06/12/2015 to 10/26/2015

- Status changed from Feedback to Resolved

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

#7 - 10/28/2015 06:30 PM - Luis Gustavo do Valle Bastos

- File Label change order tab.JPG added

- Status changed from Resolved to Feedback

- Assignee changed from Luis Gustavo do Valle Bastos to Oleksii Kurasov

At the sub-tab "Final Costs" (see figure "Label change order tab" attached):

- Change the label "Grand total cost of medicines" above the regular order and accelerated order tables to "Sub-total cost of medicines".

- Change the label "Grand total cost of order" below the regular order and accelerated order tables to "Sub-total cost of order".

- The costs of medicines displayed in the regular order and accelerated order tables are correct, no change required.

The “Total order” table must be changed as follow:

- It should be an addition of the items and values of the other two tables (to follow the same logic of the sub-tab quantity) without allowing users make

changes, edit or enter data.

- The values of "Sub-total cost of medicines" and "Sub-total cost of orders” of both regular or accelerated order tables will be added and displayed in

the “Grand total cost of medicines” and “Grand total cost of orders” of the “Total order” table respectively, only if user enters any data in the

percentage or value columns of those two tables.

- If no data is entered for both regular and accelerated order tables, the “Grand total cost of medicines” and “Grand total cost of orders” of the “Total

order” table will be zero.

- Column “Item” should display all items existing in the other two tables, without duplication.

- Column “Percentage” must be removed.

- Column “Value” must be an addition of the values of the other two tables.

- Column “Method” must be removed.

- Buttons “Add item” and “Remove item” must be removed.

- Field “Comment” must be kept blank as default allowing user enters info.
#8 - 10/29/2015 12:00 PM - Oleksii Kurasov

- Due date changed from 10/26/2015 to 10/29/2015

- Status changed from Feedback to Resolved

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

#9 - 10/29/2015 08:38 PM - Luis Gustavo do Valle Bastos

- File Change Final Cost tab.JPG added

- Status changed from Resolved to Feedback

- Assignee changed from Luis Gustavo do Valle Bastos to Oleksii Kurasov

Please, make the changes below:

- Change the two labels "Sub-total cost of medicines" to “Cost of medicines” in both regular and accelerated tables.

- Change the two labels "Sub-total cost of order” to “Cost of regular order” and “Cost of accelerated order” in the regular and accelerated tables

respectively.

- Add the two dots (:) after the labels “Cost of regular order” and “Cost of accelerated order”.

- Remove the “Total order” table and display only the label “Total cost of orders” which will replace the label “Grand total cost of order”, but keeping

the same information currently generated. See figure "Change Final Cost tab" attached.

#10 - 10/30/2015 11:34 AM - Oleksii Kurasov

- Due date changed from 10/29/2015 to 11/02/2015

- Status changed from Feedback to Resolved

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

#11 - 11/03/2015 10:17 PM - Luis Gustavo do Valle Bastos

- Status changed from Resolved to Feedback

- Assignee changed from Luis Gustavo do Valle Bastos to Oleksii Kurasov

- Change the label "Total cost of orders:" to "Total cost of order(s):" since could have only the cost for regular order when there is no accelerated

order for instance

-  Separate the label "Total cost of order(s):" from the cost of accelerated order displayed above it including a line or maybe put in a larger font or in

bold.

#12 - 11/04/2015 07:06 AM - Oleksii Kurasov

- Due date changed from 11/02/2015 to 11/05/2015

- Status changed from Feedback to Resolved

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

#13 - 11/06/2015 08:18 PM - Luis Gustavo do Valle Bastos

- Status changed from Resolved to Closed
Tested and adequate.

Files

New Quantity tab.JPG 132 KB 06/17/2015 Luis Gustavo do Valle Bastos

New Final Costs tab.JPG 126 KB 06/17/2015 Luis Gustavo do Valle Bastos

Label change order tab.JPG 93.3 KB 10/28/2015 Luis Gustavo do Valle Bastos

Change Final Cost tab.JPG 86 KB 10/30/2015 Luis Gustavo do Valle Bastos
